package com.jz.dm.common.util;

import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.common.util
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: DateUtil
 * @DATE: 2021-1-2/21:55
 * @DAY_NAME_SHORT: 周六
 * @Description: 时间工具类处理时间
 **/
public class DateUtil {

    /**
     * 计算当前距离23:59:59剩余时间
     * @return
     */
    public static long calculateNowResidueTime(){
        Calendar cal = Calendar.getInstance();
        cal.add(Calendar.DAY_OF_YEAR, 1);
        cal.set(Calendar.HOUR_OF_DAY, 0);
        cal.set(Calendar.SECOND, 0);
        cal.set(Calendar.MINUTE, 0);
        cal.set(Calendar.MILLISECOND, 0);
        return (cal.getTimeInMillis() - System.currentTimeMillis()) / 1000;
    }

    /**
     * 计算当前距离下月一号剩余时间
     * @return
     */
    public static long calculateNowMonthTime(){
        Calendar c = Calendar.getInstance();//获取一个Calendar对象
        c.setTime(new Date() );
        c.add(Calendar.MONTH, 1);
        c.set(Calendar.DAY_OF_MONTH, 0);
        c.set(Calendar.HOUR_OF_DAY, 23);
        c.set(Calendar.MINUTE, 59);
        c.set(Calendar.SECOND, 59);
        return (c.getTimeInMillis() - System.currentTimeMillis()) / 1000;
    }
    public static void main(String[] args) {
        SimpleDateFormat dateFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        //System.out.println(calculateNowResidueTime());
        Calendar c = Calendar.getInstance();//获取一个Calendar对象
        c.setTime(new Date() );
        c.add(Calendar.MONTH, 1);
        c.set(Calendar.DAY_OF_MONTH, 0);
        c.set(Calendar.HOUR_OF_DAY, 23);
        c.set(Calendar.MINUTE, 59);
        c.set(Calendar.SECOND, 59);
        Date time = c.getTime();
        String format = dateFormat.format(time);
        System.out.println(format);


        Calendar cal = Calendar.getInstance();//获取一个Calendar对象
        cal.setTime(new Date() );
        cal.add(Calendar.MONTH, 0);//获取当前时间的下一个月
        cal.set(Calendar.DAY_OF_MONTH, cal.getActualMaximum(Calendar.DAY_OF_MONTH));//获取下一个月的最后一天
        Date preMonth=cal.getTime();//得到下个月的最后一天

        String format1 = dateFormat.format(preMonth);
        System.out.println(format1);

        System.out.println(calculateNowMonthTime()/60/60/24);
    }
}
